import typescript from 'rollup-plugin-typescript2';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';

export default {
  input: 'src/index.ts', // 你的入口文件
  output: {
    file: 'dist/index.cjs',
    format: 'cjs',
  },
  plugins: [
    typescript(),
    resolve(),
    commonjs(),
  ],
  external: [/* 任何你不想包含在最终包中的外部依赖 */]
};
